> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# Create Items

POST https://api.webflow.com/v2/collections/{collection_id}/items/bulk
Content-Type: application/json

Create an item or multiple items in a CMS Collection across multiple corresponding locales.

* This endpoint can create up to 100 items in a request.
* If the `cmsLocaleIds` parameter is not included in the request, an item will only be created in the primary locale.

Required scope | `CMS:write`

Reference: https://developers.webflow.com/data/reference/cms/collection-items/staged-items/create-item

## Authentication

- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `collection_id` (string, required) — Unique identifier for a Collection

### Query parameters

- `skipInvalidFiles` (boolean, optional, default: true) — When true, invalid files are skipped and processing continues. When false, the entire request fails if any file is invalid.

### Body (application/json)

- `fieldData` (object or list of object, required)
  - Single CMS Item
    - `name` (string, required) — The name of the item.
    - `slug` (string, required) — URL slug for the item in your site. Note: Updating the item slug will break all links referencing the old slug.
- `cmsLocaleIds` (list of string, optional) — Array of identifiers for the locales where the item will be created
- `lastPublished` (string, optional) — The date and time when the item was last published.
- `lastUpdated` (string, optional) — The date and time when the item was last updated.
- `createdOn` (string, optional) — The date and time when the item was created.
- `isArchived` (boolean, optional, default: false) — Indicates whether the item is archived.
- `isDraft` (boolean, optional, default: true) — Indicates whether the item is in draft state.

## Response

### 202

Request was successful

- `id` (string, required) — Unique identifier for the Item
- `cmsLocaleIds` (list of string, required) — Array of identifiers for the locales where the item will be created
- `lastPublished` (string, required, nullable) — The date the item was last published
- `lastUpdated` (string, required) — The date the item was last updated
- `createdOn` (string, required) — The date the item was created
- `isArchived` (boolean, required, default: false) — Boolean determining if the Item is set to archived
- `isDraft` (boolean, required, default: false) — Boolean determining if the Item is set to draft
- `fieldData` (object, required)
  - `name` (string, optional) — Name of the Item
  - `slug` (string, optional) — URL structure of the Item in your site. Note: Updates to an item slug will break all links referencing the old slug.

## Examples

### Single item created across multiple locales

**Request**

```json
undefined
```

**Response**

```json
{
  "id": "580e64008c9a982ac9b8b754",
  "cmsLocaleIds": [
    "653ad57de882f528b32e810e",
    "6514390aea353fc691d69827",
    "65143930ea353fc691d69cd8"
  ],
  "lastPublished": "2023-03-17T18:47:35.560Z",
  "lastUpdated": "2023-03-17T18:47:35.560Z",
  "createdOn": "2023-03-17T18:47:35.560Z",
  "isArchived": false,
  "isDraft": false,
  "fieldData": {
    "name": "My new item",
    "slug": "my-new-item",
    "date": "2022-11-18T00:00:00.000Z",
    "featured": false,
    "color": "#db4b68"
  },
  "items": [
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "lastPublished": "2024-02-28T19:25:39.942Z",
      "lastUpdated": "2024-02-28T19:25:39.942Z",
      "createdOn": "2024-02-28T19:25:39.942Z",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca3",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "lastPublished": "2024-02-28T19:25:39.942Z",
      "lastUpdated": "2024-02-28T19:25:39.942Z",
      "createdOn": "2024-02-28T19:25:39.942Z",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca4",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "lastPublished": "2024-02-28T19:25:39.942Z",
      "lastUpdated": "2024-02-28T19:25:39.942Z",
      "createdOn": "2024-02-28T19:25:39.942Z",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca5",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    }
  ]
}
```

**SDK Code**

```typescript Single item created across multiple locales
import { WebflowClient } from "webflow-api";

async function main() {
    const client = new WebflowClient({
        accessToken: "YOUR_TOKEN_HERE",
    });
    await client.collections.items.createItems("580e63fc8c9a982ac9b8b745", {
        skipInvalidFiles: true,
    });
}
main();

```

```python Single item created across multiple locales
from webflow import Webflow

client = Webflow(
    access_token="YOUR_TOKEN_HERE",
)

client.collections.items.create_items(
    collection_id="580e63fc8c9a982ac9b8b745",
    skip_invalid_files=True,
)

```

```go Single item created across multiple locales
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Single item created across multiple locales
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Single item created across multiple locales
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Single item created across multiple locales
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Single item created across multiple locales
using RestSharp;

var client = new RestClient("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Single item created across multiple locales
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Multiple items created across multiple locales

**Request**

```json
undefined
```

**Response**

```json
{
  "id": "580e64008c9a982ac9b8b754",
  "cmsLocaleIds": [
    "653ad57de882f528b32e810e",
    "6514390aea353fc691d69827",
    "65143930ea353fc691d69cd8"
  ],
  "lastPublished": "2023-03-17T18:47:35.560Z",
  "lastUpdated": "2023-03-17T18:47:35.560Z",
  "createdOn": "2023-03-17T18:47:35.560Z",
  "isArchived": false,
  "isDraft": false,
  "fieldData": {
    "name": "My new item",
    "slug": "my-new-item",
    "date": "2022-11-18T00:00:00.000Z",
    "featured": false,
    "color": "#db4b68"
  },
  "items": [
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca3",
      "lastPublished": null,
      "lastUpdated": "2024-09-27T17:38:29.066Z",
      "createdOn": "2024-09-27T17:38:29.066Z",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "featured": false,
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca4",
      "lastPublished": null,
      "lastUpdated": "2024-09-27T17:38:29.066Z",
      "createdOn": "2024-09-27T17:38:29.066Z",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "featured": false,
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca5",
      "lastPublished": null,
      "lastUpdated": "2024-09-27T17:38:29.066Z",
      "createdOn": "2024-09-27T17:38:29.066Z",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "featured": false,
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5eaa",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca3",
      "lastPublished": null,
      "lastUpdated": "2024-09-27T17:38:29.066Z",
      "createdOn": "2024-09-27T17:38:29.066Z",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "featured": false,
        "name": "So Long and Thanks for All the Fish",
        "slug": "so-long-and-thanks"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5eaa",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca4",
      "lastPublished": null,
      "lastUpdated": "2024-09-27T17:38:29.066Z",
      "createdOn": "2024-09-27T17:38:29.066Z",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "featured": false,
        "name": "So Long and Thanks for All the Fish",
        "slug": "so-long-and-thanks"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5eaa",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca5",
      "lastPublished": null,
      "lastUpdated": "2024-09-27T17:38:29.066Z",
      "createdOn": "2024-09-27T17:38:29.066Z",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "featured": false,
        "name": "So Long and Thanks for All the Fish",
        "slug": "so-long-and-thanks"
      }
    }
  ]
}
```

**SDK Code**

```typescript Multiple items created across multiple locales
import { WebflowClient } from "webflow-api";

async function main() {
    const client = new WebflowClient({
        accessToken: "YOUR_TOKEN_HERE",
    });
    await client.collections.items.createItems("580e63fc8c9a982ac9b8b745", {
        skipInvalidFiles: true,
    });
}
main();

```

```python Multiple items created across multiple locales
from webflow import Webflow

client = Webflow(
    access_token="YOUR_TOKEN_HERE",
)

client.collections.items.create_items(
    collection_id="580e63fc8c9a982ac9b8b745",
    skip_invalid_files=True,
)

```

```go Multiple items created across multiple locales
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Multiple items created across multiple locales
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Multiple items created across multiple locales
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Multiple items created across multiple locales
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Multiple items created across multiple locales
using RestSharp;

var client = new RestClient("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Multiple items created across multiple locales
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Create a single item across multiple locales

**Request**

```json
{
  "fieldData": {
    "name": "Don’t Panic",
    "slug": "dont-panic"
  },
  "cmsLocaleIds": [
    "66f6e966c9e1dc700a857ca3",
    "66f6e966c9e1dc700a857ca4",
    "66f6e966c9e1dc700a857ca5"
  ],
  "isArchived": false,
  "isDraft": false
}
```

**Response**

```json
{
  "id": "580e64008c9a982ac9b8b754",
  "cmsLocaleIds": [
    "653ad57de882f528b32e810e",
    "6514390aea353fc691d69827",
    "65143930ea353fc691d69cd8"
  ],
  "lastPublished": "2023-03-17T18:47:35.560Z",
  "lastUpdated": "2023-03-17T18:47:35.560Z",
  "createdOn": "2023-03-17T18:47:35.560Z",
  "isArchived": false,
  "isDraft": false,
  "fieldData": {
    "name": "My new item",
    "slug": "my-new-item",
    "date": "2022-11-18T00:00:00.000Z",
    "featured": false,
    "color": "#db4b68"
  },
  "items": [
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "lastPublished": "2024-02-28T19:25:39.942Z",
      "lastUpdated": "2024-02-28T19:25:39.942Z",
      "createdOn": "2024-02-28T19:25:39.942Z",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca3",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "lastPublished": "2024-02-28T19:25:39.942Z",
      "lastUpdated": "2024-02-28T19:25:39.942Z",
      "createdOn": "2024-02-28T19:25:39.942Z",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca4",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "lastPublished": "2024-02-28T19:25:39.942Z",
      "lastUpdated": "2024-02-28T19:25:39.942Z",
      "createdOn": "2024-02-28T19:25:39.942Z",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca5",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    }
  ]
}
```

**SDK Code**

```typescript Create a single item across multiple locales
import { WebflowClient } from "webflow-api";

async function main() {
    const client = new WebflowClient({
        accessToken: "YOUR_TOKEN_HERE",
    });
    await client.collections.items.createItems("580e63fc8c9a982ac9b8b745", {
        skipInvalidFiles: true,
        cmsLocaleIds: [
            "66f6e966c9e1dc700a857ca3",
            "66f6e966c9e1dc700a857ca4",
            "66f6e966c9e1dc700a857ca5",
        ],
        isArchived: false,
        isDraft: false,
        fieldData: {
            name: "Don’t Panic",
            slug: "dont-panic",
        },
    });
}
main();

```

```python Create a single item across multiple locales
from webflow import Webflow
from webflow.collections.items import SingleCmsItem

client = Webflow(
    access_token="YOUR_TOKEN_HERE",
)

client.collections.items.create_items(
    collection_id="580e63fc8c9a982ac9b8b745",
    skip_invalid_files=True,
    cms_locale_ids=[
        "66f6e966c9e1dc700a857ca3",
        "66f6e966c9e1dc700a857ca4",
        "66f6e966c9e1dc700a857ca5"
    ],
    is_archived=False,
    is_draft=False,
    field_data=SingleCmsItem(
        name="Don’t Panic",
        slug="dont-panic",
    ),
)

```

```go Create a single item across multiple locales
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true"

	payload := strings.NewReader("{\n  \"fieldData\": {\n    \"name\": \"Don’t Panic\",\n    \"slug\": \"dont-panic\"\n  },\n  \"cmsLocaleIds\": [\n    \"66f6e966c9e1dc700a857ca3\",\n    \"66f6e966c9e1dc700a857ca4\",\n    \"66f6e966c9e1dc700a857ca5\"\n  ],\n  \"isArchived\": false,\n  \"isDraft\": false\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create a single item across multiple locales
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"fieldData\": {\n    \"name\": \"Don’t Panic\",\n    \"slug\": \"dont-panic\"\n  },\n  \"cmsLocaleIds\": [\n    \"66f6e966c9e1dc700a857ca3\",\n    \"66f6e966c9e1dc700a857ca4\",\n    \"66f6e966c9e1dc700a857ca5\"\n  ],\n  \"isArchived\": false,\n  \"isDraft\": false\n}"

response = http.request(request)
puts response.read_body
```

```java Create a single item across multiple locales
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"fieldData\": {\n    \"name\": \"Don’t Panic\",\n    \"slug\": \"dont-panic\"\n  },\n  \"cmsLocaleIds\": [\n    \"66f6e966c9e1dc700a857ca3\",\n    \"66f6e966c9e1dc700a857ca4\",\n    \"66f6e966c9e1dc700a857ca5\"\n  ],\n  \"isArchived\": false,\n  \"isDraft\": false\n}")
  .asString();
```

```php Create a single item across multiple locales
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true', [
  'body' => '{
  "fieldData": {
    "name": "Don’t Panic",
    "slug": "dont-panic"
  },
  "cmsLocaleIds": [
    "66f6e966c9e1dc700a857ca3",
    "66f6e966c9e1dc700a857ca4",
    "66f6e966c9e1dc700a857ca5"
  ],
  "isArchived": false,
  "isDraft": false
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Create a single item across multiple locales
using RestSharp;

var client = new RestClient("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"fieldData\": {\n    \"name\": \"Don’t Panic\",\n    \"slug\": \"dont-panic\"\n  },\n  \"cmsLocaleIds\": [\n    \"66f6e966c9e1dc700a857ca3\",\n    \"66f6e966c9e1dc700a857ca4\",\n    \"66f6e966c9e1dc700a857ca5\"\n  ],\n  \"isArchived\": false,\n  \"isDraft\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create a single item across multiple locales
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "fieldData": [
    "name": "Don’t Panic",
    "slug": "dont-panic"
  ],
  "cmsLocaleIds": ["66f6e966c9e1dc700a857ca3", "66f6e966c9e1dc700a857ca4", "66f6e966c9e1dc700a857ca5"],
  "isArchived": false,
  "isDraft": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Create multiple items across multiple locales

**Request**

```json
{
  "fieldData": [
    {
      "name": "Don’t Panic",
      "slug": "dont-panic"
    },
    {
      "name": "So Long and Thanks for All the Fish",
      "slug": "so-long-and-thanks"
    }
  ],
  "cmsLocaleIds": [
    "66f6e966c9e1dc700a857ca3",
    "66f6e966c9e1dc700a857ca4"
  ],
  "isArchived": false,
  "isDraft": false
}
```

**Response**

```json
{
  "id": "580e64008c9a982ac9b8b754",
  "cmsLocaleIds": [
    "653ad57de882f528b32e810e",
    "6514390aea353fc691d69827",
    "65143930ea353fc691d69cd8"
  ],
  "lastPublished": "2023-03-17T18:47:35.560Z",
  "lastUpdated": "2023-03-17T18:47:35.560Z",
  "createdOn": "2023-03-17T18:47:35.560Z",
  "isArchived": false,
  "isDraft": false,
  "fieldData": {
    "name": "My new item",
    "slug": "my-new-item",
    "date": "2022-11-18T00:00:00.000Z",
    "featured": false,
    "color": "#db4b68"
  },
  "items": [
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "lastPublished": "2024-02-28T19:25:39.942Z",
      "lastUpdated": "2024-02-28T19:25:39.942Z",
      "createdOn": "2024-02-28T19:25:39.942Z",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca3",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "lastPublished": "2024-02-28T19:25:39.942Z",
      "lastUpdated": "2024-02-28T19:25:39.942Z",
      "createdOn": "2024-02-28T19:25:39.942Z",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca4",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    },
    {
      "id": "66f6ed9576ddacf3149d5ea6",
      "lastPublished": "2024-02-28T19:25:39.942Z",
      "lastUpdated": "2024-02-28T19:25:39.942Z",
      "createdOn": "2024-02-28T19:25:39.942Z",
      "cmsLocaleId": "66f6e966c9e1dc700a857ca5",
      "isArchived": false,
      "isDraft": false,
      "fieldData": {
        "name": "Don't Panic",
        "slug": "dont-panic"
      }
    }
  ]
}
```

**SDK Code**

```typescript Create multiple items across multiple locales
import { WebflowClient } from "webflow-api";

async function main() {
    const client = new WebflowClient({
        accessToken: "YOUR_TOKEN_HERE",
    });
    await client.collections.items.createItems("580e63fc8c9a982ac9b8b745", {
        skipInvalidFiles: true,
        cmsLocaleIds: [
            "66f6e966c9e1dc700a857ca3",
            "66f6e966c9e1dc700a857ca4",
        ],
        isArchived: false,
        isDraft: false,
        fieldData: [
            {
                name: "Don’t Panic",
                slug: "dont-panic",
            },
            {
                name: "So Long and Thanks for All the Fish",
                slug: "so-long-and-thanks",
            },
        ],
    });
}
main();

```

```python Create multiple items across multiple locales
from webflow import Webflow
from webflow.collections.items import CreateBulkCollectionItemRequestBodyFieldDataOneItem

client = Webflow(
    access_token="YOUR_TOKEN_HERE",
)

client.collections.items.create_items(
    collection_id="580e63fc8c9a982ac9b8b745",
    skip_invalid_files=True,
    cms_locale_ids=[
        "66f6e966c9e1dc700a857ca3",
        "66f6e966c9e1dc700a857ca4"
    ],
    is_archived=False,
    is_draft=False,
    field_data=[
        CreateBulkCollectionItemRequestBodyFieldDataOneItem(
            name="Don’t Panic",
            slug="dont-panic",
        ),
        CreateBulkCollectionItemRequestBodyFieldDataOneItem(
            name="So Long and Thanks for All the Fish",
            slug="so-long-and-thanks",
        )
    ],
)

```

```go Create multiple items across multiple locales
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true"

	payload := strings.NewReader("{\n  \"fieldData\": [\n    {\n      \"name\": \"Don’t Panic\",\n      \"slug\": \"dont-panic\"\n    },\n    {\n      \"name\": \"So Long and Thanks for All the Fish\",\n      \"slug\": \"so-long-and-thanks\"\n    }\n  ],\n  \"cmsLocaleIds\": [\n    \"66f6e966c9e1dc700a857ca3\",\n    \"66f6e966c9e1dc700a857ca4\"\n  ],\n  \"isArchived\": false,\n  \"isDraft\": false\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create multiple items across multiple locales
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"fieldData\": [\n    {\n      \"name\": \"Don’t Panic\",\n      \"slug\": \"dont-panic\"\n    },\n    {\n      \"name\": \"So Long and Thanks for All the Fish\",\n      \"slug\": \"so-long-and-thanks\"\n    }\n  ],\n  \"cmsLocaleIds\": [\n    \"66f6e966c9e1dc700a857ca3\",\n    \"66f6e966c9e1dc700a857ca4\"\n  ],\n  \"isArchived\": false,\n  \"isDraft\": false\n}"

response = http.request(request)
puts response.read_body
```

```java Create multiple items across multiple locales
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"fieldData\": [\n    {\n      \"name\": \"Don’t Panic\",\n      \"slug\": \"dont-panic\"\n    },\n    {\n      \"name\": \"So Long and Thanks for All the Fish\",\n      \"slug\": \"so-long-and-thanks\"\n    }\n  ],\n  \"cmsLocaleIds\": [\n    \"66f6e966c9e1dc700a857ca3\",\n    \"66f6e966c9e1dc700a857ca4\"\n  ],\n  \"isArchived\": false,\n  \"isDraft\": false\n}")
  .asString();
```

```php Create multiple items across multiple locales
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true', [
  'body' => '{
  "fieldData": [
    {
      "name": "Don’t Panic",
      "slug": "dont-panic"
    },
    {
      "name": "So Long and Thanks for All the Fish",
      "slug": "so-long-and-thanks"
    }
  ],
  "cmsLocaleIds": [
    "66f6e966c9e1dc700a857ca3",
    "66f6e966c9e1dc700a857ca4"
  ],
  "isArchived": false,
  "isDraft": false
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Create multiple items across multiple locales
using RestSharp;

var client = new RestClient("https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"fieldData\": [\n    {\n      \"name\": \"Don’t Panic\",\n      \"slug\": \"dont-panic\"\n    },\n    {\n      \"name\": \"So Long and Thanks for All the Fish\",\n      \"slug\": \"so-long-and-thanks\"\n    }\n  ],\n  \"cmsLocaleIds\": [\n    \"66f6e966c9e1dc700a857ca3\",\n    \"66f6e966c9e1dc700a857ca4\"\n  ],\n  \"isArchived\": false,\n  \"isDraft\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create multiple items across multiple locales
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "fieldData": [
    [
      "name": "Don’t Panic",
      "slug": "dont-panic"
    ],
    [
      "name": "So Long and Thanks for All the Fish",
      "slug": "so-long-and-thanks"
    ]
  ],
  "cmsLocaleIds": ["66f6e966c9e1dc700a857ca3", "66f6e966c9e1dc700a857ca4"],
  "isArchived": false,
  "isDraft": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/bulk?skipInvalidFiles=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```